Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 6 of 6

Thread: TeensySharp is now compatible to T4.0

  1. #1
    Senior Member
    Join Date
    Apr 2014
    Location
    Germany
    Posts
    533

    TeensySharp is now compatible to T4.0

    I updated TeensySharp https://github.com/luni64/TeensySharp to be compatible with Teensy 4.0.

    It provides a few helper classes for C# Windows applications to perform the following tasks:

    • Finding all Teensies on the USB tree. I.e. it provides a list with entries for each found Teensy. The entries contain the serial number, the board type (T2 ... T4.0) and the name of the COM port to which it is connected.
    • It can trigger an event whenever a Teensy is connected or removed from the USB Tree.
    • It provides classes to upload firmware (ihex files) from within your user application. You can also use this feature to easily write a "branded" uploader (example included).

  2. #2
    Senior Member+ defragster's Avatar
    Join Date
    Feb 2015
    Posts
    9,735
    More good work @luni!

    Have you seen sample code or details on passing system time during upload? Paul put that into T4 bootloader MCU for RTC setting versus the old workaround pushing the static compile time.

  3. #3
    Senior Member
    Join Date
    Apr 2014
    Location
    Germany
    Posts
    533
    No, that's a good point. Do you know where I can find information about that?

  4. #4
    Senior Member+ defragster's Avatar
    Join Date
    Feb 2015
    Posts
    9,735
    Quote Originally Posted by luni View Post
    No, that's a good point. Do you know where I can find information about that?
    I do not. Posted a note to @Paul a couple of times so koromix could include in TyComm and not seen a response. Not sure if it has been included in a posting of the PJRC Teensy CmdLine tool? But I didn't find that when I took a glancing view - thought that was on github?

    @luni - did you get tinypico's? Seems I saw a luni there ...

  5. #5
    Senior Member
    Join Date
    Apr 2014
    Location
    Germany
    Posts
    533
    No, the CMDLIne tool seems to be at its "pre T4" state. There is also a peculiarity regarding the base address of the firmware. I followed the information from this issue https://github.com/PaulStoffregen/te..._cli/issues/47 which works but I'd really like to understand that stuff.

    @luni - did you get tinypico's? Seems I saw a luni there ...
    No, that's not me :-)

  6. #6
    Senior Member+ defragster's Avatar
    Join Date
    Feb 2015
    Posts
    9,735
    That's it - just saw this on SparkFun and put ton the T4 beta thread:
    I'm on Linux (Manjaro), and I've been using teensy-loader-cli with previous versions of Teensy. I checked their github and Teensy4.0 is not supported, and Teensy Loader GUI is not working with 4.0 neither. What are my options (except for waiting)?
    I looked at the luni variant there and got the idea it wasn't you … it is a cool 1.3x0,7 esp32Pico chipped board.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •